Subject: Re: bug#36942: Reconfigure broke GRUB

From: ison <[email-masked]>
Date: Wed, 7 Aug 2019 13:16:28 -0600

On Tue, Aug 06, 2019 at 02:18:15PM -0400, Jakob L. Kreuze wrote:
> Hi ison,
> 
> I wasn't able to reproduce with an OVMF virtual machine, but the
> symptoms you've described lead me to suspect that the issue concerns
> improper installation of a GC root for grub. Would you be willing to see
> if the patch provided by #36947 fixes your issue?

I'm sorry to report that it actually didn't fix the problem.

Also I don't know why it didn't occur to me to mention this detail
before, but the reason I previously thought the message mentioned
in bug#36878 was important is because it's actually the very last
thing I see on the command line after reconfiguring. The line I'm
talking about is of course:
shepherd: Evaluating user expression (let* ((services (map primitive-load (?))) # ?) ?)

I'm pretty sure even if that message is normal, it's not normal
for it to be the last line you see.
Perhaps the reconfigure is dying at that point, or some point
shortly after, without outputting any other errors.